using BPA.SAAS.Manage.Application.DataBase.Dtos.Goods;
using BPA.SAAS.Manage.Application.DataBase.Dtos.GoodsTechnology;
using BPA.SAAS.Manage.Application.DataBase.Services;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IGoodsTechnologyService
    {
        Task<bool> UpdateGoodsTechnologyAction(List<GoodsTechnologyActionBaseDto> inputDto);
        Task<bool> AddGoodsTechnologyAction(List<GoodsTechnologyActionBaseDto> inputDto);
        Task<List<GoodsTechnologyActionListView>> GetGoodsTechnologyAction(string goodsId);
        Task<bool> DeleteGoodsTechnologyAction(string id);
        Task<bool> DeleteGoodsTechnologyAction(GoodsTechnologDelete dto);
        Task<List<DeviceGoodsTechnologyView>> GetDeviceTechnology();

        Task<bool> Updatetechnology();

        Task<List<DeviceTechnologyActionListView>> GetDeviceTechnologyAction(DeviceQueryDto param);

        Task<bool> CopyTechnologyAction(IputParam param);

    }
}
